Subject: Re: bug#9812: Problem with "tail -f" on GPFS filesystem // coreutils package

From: Pádraig Brady <[email-masked]>
Date: Thu, 20 Oct 2011 19:29:26 +0100

On 10/20/2011 03:52 PM, Martial-externe BORNET wrote:
> Good afternoon,
> 
> Could you please add the following line to the src/fs.h file :
> 
> # define S_MAGIC_GPFS 0x47504653

That was actually done in the recently released 8.13

> 
> and add the following line to the switch() of the fremote() function in 
> the src/tail.c file, in the coreutils package :
> 
> case S_MAGIC_GPFS:
> 
> or do you prefer me to send you a patch for these files ? (I'm not used to 
> that yet, but I'll do it if you need it).
> 
> These addings fix a "tail -f" problem with the GPFS filesystem.
> 
> I'm waiting for your reply.
> Thank you for your help regarding this fix.

Since you took the time to identify the fix
I'm applying this in your name.
Please advise if you'd like a different email address.
Note one can work around the issue without a patch
for the moment by using the currently undocumented ---disable-inotify option.

cheers,
Pádraig.

commit c0ca70013d7bbe60143910828e32146f3e94cc02
Author: Martial Bornet <[email-masked]>
Date:   Thu Oct 20 19:22:31 2011 +0100

    tail: fix --follow on GPFS remote file systems

    * src/tail.c (fremote): Recognize GPFS as a remote
    file system outside the scope of inotify.

diff --git a/src/tail.c b/src/tail.c
index f315776..1641a12 100644
--- a/src/tail.c
+++ b/src/tail.c
@@ -904,6 +904,7 @@ fremote (int fd, const char *name)
         case S_MAGIC_FUSEBLK:
         case S_MAGIC_FUSECTL:
         case S_MAGIC_GFS:
+        case S_MAGIC_GPFS:
         case S_MAGIC_KAFS:
         case S_MAGIC_LUSTRE:
         case S_MAGIC_NCP: